%define _name anjuta
%define _libname libanjuta

Name: anjuta2
Version: 2.0.0
Release: alt3

Summary: GNOME IDE for C and C++
Summary(be_BY.UTF-8):	Інтэграванае асяродзьдзе распрацоўкі для GNOME
Summary(ru_RU.UTF-8):	Интегрированая среда разработки для GNOME
Summary(uk_UA.UTF-8):	Інтеґроване середовище розробки для GNOME

Group: Development/GNOME and GTK+
License: GPL
Url: http://anjuta.org/

Source: %_name-%version.tar.bz2
Patch1: %_name-2.0.0-alt-packagename.patch
#Patch100: %_name-2.0.0-alt-terminal-temporary.patch

Obsoletes: libanjuta

Provides: %{_libname}.so.0
Requires: autogen gtk-doc devhelp libgnome-build
Requires(post,postun): desktop-file-utils

# This is copy-pasted from the generated anjuta.spec and then adjusted
# to fit ALTLinux.
Requires: 	libgtk+2 >= 2.4.0
Requires: 	ORBit2 >= 2.6.0
Requires: 	libglade2 >= 2.3.0
Requires: 	libgnome >= 2.6.0
Requires: 	libgnomeui >= 2.6.0
Requires: 	libgnomeprint2 >= 2.4.0
Requires: 	libgnomeprintui >= 2.4.0
Requires: 	gnome-vfs2 >= 2.6.0
Requires: 	libbonoboui >= 2.6.0
Requires: 	libvte >= 0.7.0
Requires: 	libxml2 >= 2.4.23
Requires: 	libpango >= 1.1.1
Requires: 	pcre >= 3.9
Requires:   libgdl >= 0.5.0

BuildRequires: 	glib2-devel >= 2.4.0
BuildRequires: 	libgtk+2-devel >= 2.4.0
BuildRequires: 	ORBit2-devel >= 2.6.0
BuildRequires: 	libglade2-devel >= 2.3.0
BuildRequires: 	libgnome-desktop-devel >= 2.6.0
BuildRequires: 	libgnomeprint2-devel >= 2.4.0
BuildRequires: 	libgnomeprintui-devel >= 2.4.0
BuildRequires: 	gnome-vfs2-devel >= 2.6.0
BuildRequires: 	libbonoboui-devel >= 2.6.0
BuildRequires: 	libvte-devel >= 0.7.0
BuildRequires: 	libxml2-devel >= 2.4.23
BuildRequires: 	libpango-devel >= 1.1.1
BuildRequires: 	pcre-devel >= 3.9
BuildRequires:  libgdl-devel >= 0.5.0

# Automatically added by buildreq on Sat May 14 2005 and then reduced aggressively.
BuildRequires: autogen-devel desktop-file-utils freetype2-devel gcc-c++ gnome-doc-utils gnome-mime-data gtk-doc libapr-devel libaprutil-devel libdevhelp-devel libgnome-build-devel libncurses-devel libneon-devel libpopt-devel libpcre-devel libsubversion libsubversion-devel libxslt-devel menu-devel util-linux zlib-devel

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for GNOME Desktop Environment. It features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, a powerful source editor,
syntax highlighting, Intellisense-like autocompletion, symbol navigation,
integration with version control systems and a GUI designer, and other
tools.

%description -l be_BY.UTF-8
Anjuta -- шматфункцыянальнае інтэграванае асяродзьдзе распрацоўкі (IDE) для C і C++.
Яно напісана для GTK/GNOME і мае шмат адмысловых магчымасьцяў для праграмаваньня.
Фактычна гэта ёсьць графічным інтэрфэйсам да калекцыі уцілітаў ды інструмэнтаў, якія існуюць для GNU-сыстэмаў.

%description -l uk_UA.UTF-8
Anjuta -- багатофункціональне інтегроване середовище розробки (IDE) для C та C++.
Воно написане для GTK/GNOME та має багато потужних можливостей для програмування.
Фактично це графічний інтерфейс до колекції утиліт та інструментів, що існіють для GNU-систем.

%description -l ru_RU.UTF-8
Anjuta DevStudio -- многофункциональная интегрированая среда разработки (IDE).
Она написана для среды GNOME и имеет развитые возможности, в частности:
работа с проектами, средства быстрого создания приложений и отдельных классов,
встроенный отладчик на базе GDB, мощный редактор исходного кода (Scintilla)
с подсветкой синтаксиса, автодополнением и навигацией по проекту, интеграция
с системами контроля версий и дизайнером интерфейса Glade.

%package devel
Summary: development files for Anjuta
Group: Development/Other
Requires: %name = %version-%release pkgconfig

%description devel
Libraries, header files and API docs for developing Anjuta plugins.

%description -l ru_RU.UTF-8 devel
Библиотеки, заголовочные файлы и документация для разработки плагинов к Анюте.

%package subversion
Summary: Subversion support in Anjuta
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description subversion
Subversion support plugin for Anjuta DevStudio IDE.

%description -l ru_RU.UTF-8 subversion
Плагин поддержки системы контроля версий Subversion для студии разработки Анюта.

%define fdmenudir %buildroot/%_datadir/applications/

%prep
%setup -q -n %_name-%version
%__subst "s|\<%_name\>|%name|g" anjuta.desktop.in.in
%__subst "s|%_name/|%name/|g" global-tags/Makefile.am plugins/class-gen/Makefile.am
rename %_name. %name. mime/anjuta*
%__subst "s| %_name\.| %name.|g" mime/Makefile.am
%__subst 's|update-mime-database .*;|	echo;|' mime/Makefile.am
%patch1
#%patch100

%build
%__rm -f missing
NOCONFIGURE=1 ./autogen.sh
%configure \
    --disable-static \
    --disable-plugin-glade \
    --enable-final \
    --enable-optimize \
    --enable-gtk-doc \
    --program-transform-name=s/%{_name}/%{name}/

# SMP-incompatible build
%make

%install
%makeinstall

# A temporary hack to let old and new Anjutas coexist.
%__mv %fdmenudir%_name.desktop %fdmenudir%name.desktop

# menus
%__mkdir_p %buildroot%_menudir

freedesktop2menu.pl %name "Applications/Development/Development environments/Anjuta2" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# make a link in /usr/share/pixmaps (Bug #6995)
pushd %buildroot%_datadir/pixmaps
%__ln_s -f %name/anjuta_icon.png %name.png
popd

# remove none-packaged files
%__rm -f %buildroot%_libdir/%name/*.la
%__rm -rf %buildroot%_docdir/%_name
%__rm -rf %buildroot%_var/lib

%find_lang --with-gnome %name

%post
%post_ldconfig
%update_menus
%update_scrollkeeper
%update_mimedb
%update_desktopdb

%postun
%postun_ldconfig
%clean_menus
%clean_scrollkeeper
%clean_mimedb
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*
%_libdir/%{_libname}*.so.*
#%exclude %_libdir/%name/*subversion*
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/%name/*
%_datadir/pixmaps/%name.png
%_datadir/mime-info/*
%_datadir/application-registry/*
%_datadir/mime/packages/*
%_iconsdir/gnome/*/*/*
%_man1dir/*
%_menudir/*
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO TODO.tasks
%doc FUTURE HACKING ROADMAP SEARCH-REPLACE
%doc doc/ScintillaDoc.html

%files devel
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/%{_libname}*.so
%_datadir/gtk-doc/html/%{_libname}

%files subversion
%_libdir/%name/*subversion*

%changelog
* Sat Jun 04 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt3
- Updated from CVS.
- Fixed Bug #6995.

* Sun May 22 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt2
- Sources updated from CVS.
- Several fixes and improvements in the spec (including Bug #6873).

* Fri May 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- The temporary name of the package is anjuta2 (this concerns all binaries
  and directories, but not libanjuta), to let anjuta-1.2 and anjuta-2.0
  coexist.

* Tue Feb 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.2-alt6
- version from cvs (2005-02-22)
- a lot of changes in spec

* Fri Jul 23 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt5
- added icon for Anjuta submenu
- move anjuta_updatetags, tm_globals_tags to /usr/lib/anjuta
- remove /var/cache/anjuta only when package removed (not upgraded)

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt4
- apply --disable-static to configure.
- do not list /usr/share/locale, /usr/share/omf/* and 
  /usr/share/gnome/help/* in %files (find-lang --with-gnome 
  treat these directories to find language specific files).
- use freedesktop2menu.pl to create menu file.
  Remove unusual icons from src.rpm
- remove unusual requires.
- updated buildreqs.
- other minor fixes, cleanups and .spec optimizatiions.
- fix #4766 (patch1)

* Thu May 20 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt3
- minor fixes

* Wed Apr 28 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt2
- fixed #3944

* Thu Apr 15 2004 Vital Khilko <vk@altlinux.ru> 1.2.2-alt1
- new version
- added menu entry

* Mon Feb 16 2004 Vital Khilko <vk@altlinux.ru> 1.2.1-alt1
- new version
- added ru, be, uk package description

* Sat Apr 12 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt2
- Added libanjuta obsoletes
- added icon in menu entry

* Mon Mar 31 2003 Alex Murygin <murygin@altlinux.ru> 1.0.2-alt1
- New version

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.9-alt2
- made rebuildable

* Tue Dec 18 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.8-alt1
- 0.1.8

* Thu Sep  6 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.7-alt1
- 0.1.7

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt2
- Update URLs

* Mon Jul  9 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.5-alt1
- 0.1.5

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- 1.1.2

* Thu Jan  4 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- new url

* Thu Nov  2 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- new in contribs
